########################################
### INITIAL BUFFERING SETTINGS
## Property Name: initial.buffer.type
# Type: String
# Description: initial buffering type
# Values: playlist, animation or none
# Default Value: none
initial.buffer.type=playlist
#
## Property Name: buffer.playlistId
# Type: int
# Description: if buffering type is playlist, which playlist id?
# Values: -1 through 1999
# Default Value: -1
buffer.playlistId=1103
#
## Property Name: initial.animation.directory
# Type: String
# Description: if buffering type is animation, in which resource directory are the animation.xml and image files?
# Values: 00000 through 99999
# Default Value: 89000
initial.animation.directory=89000
## Property Name: initial.animation.filename
# Type: String
# Description: if a buffering animation is required, what xml file defines the animation?
# Values: any string, ending in .xml
# Default Value: loadingAnimation.xml
initial.animation.filename=loadingAnimation.xml
#
## Property Name: initial.animation.duration
# Type: int
# Description: if buffering type is animation, the number of seconds to play animation
# Values: 0 through Integer.MAX_VALUE
# Default Value: -1
initial.animation.duration=10
#
## Property Name: metrics.initialReadAndWriteRate
# Type: long
# Description: if the metrics stored on the player are (readRate: 0, writeRate: 0), this property defines the initial
#              read and write rates to send to the server
#			   NOTE: This value is bytes/second. Don't set it to an enormous number ( > 5mbps or so )
#                    This value will also be the first metric recorded, so if it's too big, it could throw off the
#                    average rates we record
# Values: 0 or a positive long value
# Default Value: 0
metrics.initialReadAndWriteRate=0
#
########################################
### DYNAMIC BUFFERING PLAYLIST PROPERTIES
### NOTE: IF SETTING THESE VALUES, ENSURE buffer.playlistId and gpr.dynamicBufferingPlaylist ARE ALSO SET
### THE VALUE OF GPR[gpr.dynamicBufferingPlaylist] IS READ
### THE APPLICATION THEN LOOKS FOR THE PROPERTY dynamicBufferingPlaylist.{GPR_VALUE}
### IF THAT PROPERTY EXISTS AND HAS A VALUE BETWEEN 0 AND 1999, THAT PLAYLIST IS PLAYED DURING INITIAL BUFFERING
### IF THAT PROPERTY HAS AN INVALID VALUE OR DOES NOT EXIST, buffer.playlistId IS PLAYED
###
### BEFORE SHIPPING, BE SURE TO TEST ALL OF THESE VALUES
#dynamicBufferingPlaylist.0 = 100
#dynamicBufferingPlaylist.1 = 101
#dynamicBufferingPlaylist.2 = 102
#dynamicBufferingPlaylist.3 = 103
#dynamicBufferingPlaylist.5 = 105
#dynamicBufferingPlaylist.45 = 145
########################################
### PLAYBACK BUFFERING ANIMATION SETTINGS
## Property Name: playback.show.animation
# Type: boolean
# Description: determine if a buffering animation should be shown during trailer playback
# Values: true or false
# Default Value: false
playback.show.animation=false
#
### Property Name: playback.animation.directory
# Type: String
# Description: if a buffering animation is required, in which resource directory are the animation.xml and image files?
# Values: 00000 through 99999
# Default Value: 89000
playback.animation.directory=89000
#
### Property Name: playback.animation.filename
# Type: String
# Description: if a buffering animation is required, what xml file defines the animation?
# Values: any string, ending in .xml
# Default Value: loadingAnimation.xml
playback.animation.filename=loadingAnimation.xml
#
### Property Name: playback.abortOnBuffering
# Type: boolean
# Description: if buffering is required during trailer playback, should pre-roll abort?
# Values: true or false
# Default Value: false
playback.abortOnBuffering=false
########################################
### GPR SETTINGS
## Property Name: gpr.logo
# Type: int
# Description: gpr to set after logo plays
# Values: -1 through 4095
# Default Value: -1.
gpr.logo=550
#
## Property Name: gpr.trailers
# Type: int
# Description: gpr to set after trailers play
# Values: -1 through 4095
# Default Value: -1.
gpr.trailers=200
#
## Property Name: gpr.dynamicBufferingPlaylist
# Type: int
# Description: gpr value will be read at startup. the code will look for the property "dynamicBufferingPlaylist.{gpr_value}".
#              if that property exists, and has a valid playlist id value (0 through 1999), that playlist will be played during initial buffering.
#		       if that property does not exist, buffer.playlistId will be used 
# Values: -1 through 4095
# Default Value: -1.
gpr.dynamicBufferingPlaylist=-1
#
## Property Name: gpr.playbackError
# Type: int
# Description: gpr to set if an error occurs during playback
# Values: -1 through 4095
# Default Value: -1.
gpr.playbackError=-1
#
########################################
### TITLE SETTINGS
#
## Property Name: title.playback
# Type: int
# Description: if waiting for a certain title before playback, which title number?
# Values:
# Default Value: -1.
title.playback=-1
#
## Property Name: title.ending
# Type: int
# Description: What title to jump to upon exiting?  int value
# Default Value: 0
title.ending=6
#
########################################
### PROGRESSIVE STREAM SETTINGS
#
## Property Name: stream.org.id
# Type: String
# Description: org id to use in BUDA path of progressive stream files
# Values: 8 character string or the empty string
# Default Value: the empty string
stream.org.id=7fff5553
#
## Property Name: stream.disc.id
# Type: String
# Description: disc id to use in BUDA path of progressive stream files
# Values: disc id (without leading zeroes) or the empty string.
# Note: This should match what is listed for the progressive streams in the BUMF file
# Default Value: the empty string
stream.disc.id=6666000000000032303439393132
#
########################################
### SERVER API SETTINGS
#
## Property Name: api.disc.id.override
# Type: String
# Description: to send an disc id different from the actual disc org id in the API requests
# Values: any 32 character string or the empty string to not override the org id.
# Default Value: the empty string
api.disc.id.override=
#
## Property Name: api.org.id.override
# Type: String
# Description: to send an org id different from the actual disc org id in the API requests
# Values: any 8 character string or the empty string to not override the org id.
# Default Value: the empty string
api.org.id.override=
#
## Property Name: api.force.resolution
# Type: String
# Description: To force the resolution of the content
# Values: max, min or the empty string to not force
# Default Value: the empty string
api.force.resolution=
#
## Property Name: api.url.host
# Type: String
# Description: host to connect to for APIs
# Values: any string
# Default Value: the empty string
api.url.host=
#
########################################
### DATA STARVE SETTINGS
##
## Property Name: datastarve.show.animation
# Type: boolean
# Description: sets whether or not so display buffering animation during data starve events
# Values: true or false
# Default Value: true
datastarve.show.animation=true
#
## Property Name: animation.directory
# Type: String
# Description: if showing animation, resource directory for data starved buffering animation assets
# Values: 00000 through 99999
# Default Value: 89000
animation.directory=89000
#
#########################################
### OTHER SETTINGS
## Property Name: metrics.precalculate
# Type: boolean
# Description: pre-calculate metrics before buffering?
# Values: true or false
# Default Value: false
metrics.precalculate=false
#
## Property Name: vfs.revert
# Type: boolean
# Description: Set whether or not to revert the vfs upon exit
# Values: true or false
# Default Value: false
vfs.revert=false
#
## Property Name: vfs.revert.directory
# Type: String
# Description: Set the path to the directory containing the BUMF/BUSF files to use when reverting, relative to the BUDA root
# Values: any string
# Default: common
vfs.revert.directory=common
## Property Name: vfs.revert.temp
# Type: String
# Description: Set the path to the temp directory used when reverting the vfs, relative to the BUDA root
# Values: any string
# Default: temp
vfs.revert.temp=temp
## Property Name: vfs.revert.bumf
# Type: String
# Description: Set the filename of the BUMF to use to revert the VFS
# Values: any string
# Default: boot.xml
vfs.revert.bumf=boot.xml
## Property Name: vfs.revert.busf
# Type: String
# Description: Set the filename of the BUSF to use to revert the VFS
# Values: any string
# Default: boot.bin
vfs.revert.busf=boot.bin
## Property Name: debug.level
# Type: String
# Description: Set the debug level
# Values: off, info or debug
# Default Value: off
debug.level=info
#
## Property Name: feed.prp.path
# Type: String
# Description:
# Values: "org_id" or "org_id_disc_id"
# Default Value: org_id
feed.prp.path=org_id_disc_id

# To setup Episodic preview menu
# Coords for Feature title - menu X: 1122, play X: 683, next X: 965, All Y: 967
# Coords for Episodic title - menu X: 1141, play X: 664, next X: 984, All Y: 967
# If these are not included Feature title is assumed
# GPR 551 tells which button was selected - MENU: 1, FEATURE\EPISODE: 2, Playthrough\Next: 0
isEpisodicTitle=false
menuCoords.menuButtonX=1122
menuCoords.menuButtonY=967
menuCoords.playButtonX=683
menuCoords.playButtonY=967
menuCoords.nextButtonX=965
menuCoords.nextButtonY=967